 <head>
<TITLE>JFLAP </TITLE>
<LINK REV="made">
</head>
<body bgcolor="#FFFFFF">
 
<center>

<TABLE BORDER=0 CELLSPACING=5 >
<TR>
<td> 
<image src="jflapLogo2.jpg">
<TD ALIGN=center>
<H1>
JFLAP Version 6.4 <br> RELEASED July 13, 2008<br>
</H1> <br>
</table>
</center>
<p>
<h2> JFLAP</h2>
<p> JFLAP is software for experimenting with formal languages topics
including nondeterministic finite automata, nondeterministic pushdown
automata,
multi-tape Turing machines, several types of grammars,
parsing, and L-systems. In addition to constructing and testing examples
for these, JFLAP allows one to experiment with construction proofs from
one form to another, such as converting an NFA to a DFA to a minimal state
DFA to a regular expression or regular grammar. <a href="whatis.html">Click
here </a> for more
information on what one can do with JFLAP.
<p>
<h2> JFLAP News </h2>

<p>
<ul>
<li> *** December 2008 ***- JFLAP CD by Linz and Rodger with JFLAP
exercises that goes along with the
Linz book is now available. <a
href="http://www.jbpub.com/Catalog/9780763737986/Student/"> Click here for
info </a> and see the Supplement.
<p>
<p>
Note, we have worked closedly with Linz over the past
several years so JFLAP fits nicely with the Linz book. Eventually we hope to
publish a textbook with JFLAP integrated in...

</li>

<p><li> July 2008 - JFLAP now has a wiki where users can discuss the use or modifications
of JFLAP, see <a href="http://jflap.wikia.com" target=jflapwiki>
jflap.wikia.com </a>
</li> 
<p>
<li>July 2008 - JFLAP now has two listservs. To join, go to <a
href="http://lists.duke.edu" target=jflaplistserv> lists.duke.edu </a><br>
You do not need to be a member of Duke to join the listserv.
<ul>
<li> jflap-announce@duke.edu  - for announcements on new releases of JFLAP
or new info on the JFLAP web page</li> 
<li> jflap-discuss@duke.edu - for anyone to have discussions about JFLAP
</li> 
</ul>
</li>
<p>

</ul><p>

<h2> JFLAP 6.4 released July 13, 2008 </h2>

<p> New items in JFLAP include automatically adding a trap state to
a DFA, reading input strings from a  file, and identifying grammers.
This version of JFLAP needs to be run in Java 1.5 or higher.  


</p>

<h2> JFLAP 6.3 released May 24, 2008 </h2>

<p>
There are a few new items or modified items in JFLAP 6.3. New items
include:

<ul>
<li> Conversion of Turing machine to unrestricted grammar, only works for
small
examples. See new tutorial pages for simple examples.
<li> Can now launch JFLAP without invoking main file, useful for developers
using JFLAP in their applications. 
</ul>

<p>


<h2> JFLAP Finalist Candidate in NEEDS Premier Award </h2>

<center>
<table>
<tr>
<td> <img src=needsPremier.gif> </td>
</tr>
</table>
</center>
<p> Announced Oct, 12, 2007 at FIE 2007, JFLAP 6.1 is recognized as 
a finalist candidate in the <a
href="http://www.needs.org/needs/public/premier/2007/winners/"
target=needs> NEEDS Premier Award for Excellence in Engineering Education
Courseware </a>competition. Here is the <a
href="Premier2007_pressrelease_v2.pdf"> press release </a>. 
<p>
<p> See the <a href="http://www.cs.duke.edu/~rodger/talks/JFLAPFIE07.pdf">
Slides </a>
and <a href="movies/jflapOct9-1130am.avi" target=jflapmovie> movie
demo (.avi) of JFLAP</a> presented at the award ceremony. 

<p>
<center>
<table>
<tr>
<td> <image src=engpath.JPG>
</td>
</tr>
</table>
</center>

<p> The Needs Premier Award is in the process of changing its host and is now being hosted at
<a href="http://www.engineeringpathway.com/ep/premier/" target=engpath>
Engineering
Pathway </a>. For current information on this award, please check the
Engineering Pathway site. 

<h2> JFLAP 6.2 released January 14, 2008 </h2>

<p>
There are several new items or modified items in JFLAP 6.2. New items
include:

<ul>
<li> CYK parser (usually much faster than the brute force parser)
<li> User controlled parser - here the user can choose which rule to expand
in
a derivation.
<li> updated regular and context-free pumping lemma games. The game can now
start with user A or user B.

<li> New graph layouts for automata theory. If a user does not like the
default
layout, they can choose another layout.

<li> JFLAP Tutorial - there is now an extensive online tutorial.
</ul>

<p>



<p>
<h2> JFLAP Version 6.1 released May 18, 2007 </h2>

<p> <em> JFLAP 6.1</em> is now available - Basically version 6.0 with
some bug fixes. JFLAP 6.0 was an updated version of JFLAP with
pumping lemma, moore and mealy machines, multiple run for grammars,
grading for multiple files, Turing machine building blocks, etc.
See the Tutorial which describes the new features of JFLAP 6.0 in more detail.



<br>
<br>
<br>
Send bug reports to "jflap AT cs.duke.edu"
<br>


<p> 
<b>Note</b> JFLAP version  4.0b10 and later changes the way 
JFLAP saves files (xml format) and requires
Java 1.4 or higher. If you have old JFLAP files (pre version 4.0b10), 
you will first need to use 4.0b10 to
convert those files.  
Then you can use the most recent version of JFLAP.
<p>
<hr>



<h2> Support </h2>

<table>
<tr>
<td> <image src=nsfsm.gif>
</td>
<td>
The National Science Foundation has supported JFLAP for many years. 
Grants include
<A HREF="http://www.cs.duke.edu/~rodger/9354791.txt"> DUE-9354791 </A> (transfered to
<A HREF="http://www.cs.duke.edu/~rodger/9596002.txt"> DUE-9596002) </A> ,
<a href="http://www.cs.duke.edu/~rodger/9555084.txt">
DUE-9555084</a>, 
<a href="http://www.cs.duke.edu/~rodger/9752583.html">
DUE-9752583</a> and 
<a href="http://www.cs.duke.edu/~rodger/0442513.html">
DUE-0442513</a>.
Any opinions, finding and conclusions or recommendations expressed in this
material are those of the author(s) and do not necessarily reflect the
views of the National Science Foundation.
</td>
</tr>
</table>
<p>
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/2.5/">Creative Commons Attribution-NonCommercial-ShareAlike 2.5  License</a>.<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
	<Work rdf:about="">
		<license rdf:resource="http://creativecommons.org/licenses/by-nc-sa/2.5/" />
	<dc:title>JFLAP</dc:title>
	<dc:date>1996</dc:date>
	<dc:description>Software for experimenting with concepts in formal languages including finite automata, pushdown automata, Turing machines, grammars, parsing and L-systems.</dc:description>
	<dc:creator><Agent><dc:title>Susan Rodger</dc:title></Agent></dc:creator>
	<dc:rights><Agent><dc:title>Susan Rodger</dc:title></Agent></dc:rights>
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/InteractiveResource" />
	<dc:source rdf:resource="www.jflap.org" />
	</Work>
	<License rdf:about="http://creativecommons.org/licenses/by-nc-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><prohibits rdf:resource="http://web.resource.org/cc/CommercialUse"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

<p>


According to
<a href="http://www.digits.com/"><IMG SRC="wc-03.gif" 
WIDTH=216 HEIGHT=23 BORDER=1 HSPACE=2 VSPACE=2></a> you are visitor number
<IMG SRC="http://counter.digits.com/wc/-d/4/www.jflap.org" ALIGN=middle
WIDTH=60 HEIGHT=20 BORDER=0 HSPACE=4 VSPACE=2> since June 27, 2005.
Over <b>55,000</b> hits occured on the previous JFLAP web page from 1996 to June 2005.
    <hr>


<br>
<!-- Created: Thu Aug 14 16:02:43 EDT 1997 -->
<!-- hhmts start -->
Last modified: Tue Oct  9 08:22:51 EDT 2007
<!-- hhmts end -->
  </body>
</html>


